Page MenuHomePhabricator

image_comment_temp entries aren't being moved when a file is renamed
Closed, ResolvedPublic

Description

When a file is renamed, img_name is being changed but the corresponding entry in image_comment_temp is not.

Event Timeline

Anomie created this task.Mar 18 2018, 2:44 PM
Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptMar 18 2018, 2:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Anomie triaged this task as Unbreak Now! priority.Mar 18 2018, 3:39 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 18 2018, 3:39 PM

Change 420249 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Move image_comment_temp entries when the file is moved

https://gerrit.wikimedia.org/r/420249

TTO added a subscriber: TTO.Mar 19 2018, 1:35 AM

Scary that we're still using image names as primary keys...

Change 420249 merged by jenkins-bot:
[mediawiki/core@master] Move image_comment_temp entries when the file is moved

https://gerrit.wikimedia.org/r/420249

Rehman added a subscriber: Rehman.Mar 19 2018, 4:08 AM

Scary that we're still using image names as primary keys...

I know. T28741: Migrate file tables to a modern layout (image/oldimage; file/file_revision; add primary keys) seems to be the task for that.

Change 420322 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@wmf/1.31.0-wmf.25] Move image_comment_temp entries when the file is moved

https://gerrit.wikimedia.org/r/420322

Change 420322 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.25] Move image_comment_temp entries when the file is moved

https://gerrit.wikimedia.org/r/420322

Mentioned in SAL (#wikimedia-operations) [2018-03-19T13:44:43Z] <anomie@tin> Synchronized php-1.31.0-wmf.25/includes/filerepo/file/LocalFile.php: Applying fix for T189985 (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2018-03-19T13:48:07Z] <anomie> Cleaning up orphaned image_comment_temp rows on all wikis for T189985

Anomie closed this task as Resolved.Mar 19 2018, 1:53 PM